Subject: Re: bug#55264: A problem with display-buffer-alist

From: Konrad Podczeck <[email-masked]>
Date: Sun, 8 May 2022 16:35:53 +0200

Without reversal of commit 5adc84a27b86cdbd048ee3ebc023549c928f7425, this bog is gone by commit 
461ac0815c153778c41f3074e8d7748754ff7dd9 <https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=461ac0815c153778c41f3074e8d7748754ff7dd9>.

This bug can therefore also be closed.

Konrad

> Am 06.05.2022 um 02:56 schrieb Konrad Podczeck <[email-masked]>:
> 
> Reversing commit (by Po Lu) 5adc84a27b86cdbd048ee3ebc023549c928f7425 (both in nsmenu.m and in tooltip.el) solved the problem.
> 
> Konread
> 
>> Am 05.05.2022 um 08:05 schrieb Eli Zaretskii <[email-masked] <mailto:[email-masked]>>:
>> 
>>> From: Konrad Podczeck <[email-masked] <mailto:[email-masked]>>
>>> Date: Thu, 5 May 2022 01:25:44 +0200
>>> 
>>> With a fresh build, I have the following problem:
>>> 
>>> Make an init file just containing the lines:
>>> 
>>> (setq
>>> display-buffer-base-action
>>> '((display-buffer-reuse-window display-buffer-pop-up-frame)
>>> (reusable-frames . t))
>>> display-buffer-alist
>>> '(("[.]"
>>> (display-buffer-reuse-window display-buffer-pop-up-frame)
>>> (pop-up-frame-parameters
>>> (left . 100)
>>> ))))
>>> 
>>> 
>>> Start the app. Open any file, say foo.tex, and do "M-x
>>> context-menu-mode". In the frame showing foo.tex, scroll a bit. Then,
>>> using the mouse, select some text and use the right mouse button to open
>>> the context menu. If I try to choose any item in the context menu, the
>>> app quits unexpectedly. This quitting is not registered as a crash by
>>> the OS.
>> 
>> Seems to be specific to macOS? I cannot reproduce here.
>